POST api/pcapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
PCViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| cleanroom_id | globally unique identifier |
None. |
|
| db_login | string |
String length: inclusive between 0 and 50 |
|
| db_name | string |
String length: inclusive between 0 and 50 |
|
| db_password | string |
String length: inclusive between 0 and 50 |
|
| db_source | string |
String length: inclusive between 0 and 50 |
|
| id | globally unique identifier |
None. |
|
| local_ip | string |
String length: inclusive between 0 and 15 |
|
| lock_id | globally unique identifier |
None. |
|
| mac_address | string |
Required String length: inclusive between 0 and 30 |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| pc_type_id | globally unique identifier |
None. |
|
| rights | Collection of ShortRightViewModel |
None. |
|
| site_id | globally unique identifier |
None. |
|
| zone_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"active": true,
"cleanroom_id": "7a6f229f-d225-4fa3-9311-7a99def74ed7",
"db_login": "sample string 2",
"db_name": "sample string 3",
"db_password": "sample string 4",
"db_source": "sample string 5",
"id": "f3686612-e437-4cde-bd2e-c4259fb11f44",
"local_ip": "sample string 7",
"lock_id": "1cefc5aa-9a1e-4a3f-875c-3148982bc2d9",
"mac_address": "sample string 8",
"name": "sample string 9",
"pc_type_id": "3ecfbee0-741f-4ba5-bdd5-b021c2020b5e",
"rights": [
{
"code": "sample string 1",
"id": "b7008be2-416e-486d-b48e-752cbde68200"
},
{
"code": "sample string 1",
"id": "b7008be2-416e-486d-b48e-752cbde68200"
}
],
"site_id": "a9857469-6bbc-436b-8c8c-5333fe4a404d",
"zone_id": "067ff7e9-a25e-4e4c-9f4d-ab558db878a0"
}
application/xml, text/xml
Sample:
<pc xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<cleanroom_id>7a6f229f-d225-4fa3-9311-7a99def74ed7</cleanroom_id>
<db_login>sample string 2</db_login>
<db_name>sample string 3</db_name>
<db_password>sample string 4</db_password>
<db_source>sample string 5</db_source>
<id>f3686612-e437-4cde-bd2e-c4259fb11f44</id>
<local_ip>sample string 7</local_ip>
<lock_id>1cefc5aa-9a1e-4a3f-875c-3148982bc2d9</lock_id>
<mac_address>sample string 8</mac_address>
<name>sample string 9</name>
<pc_type_id>3ecfbee0-741f-4ba5-bdd5-b021c2020b5e</pc_type_id>
<rights>
<right>
<ID>b7008be2-416e-486d-b48e-752cbde68200</ID>
<code>sample string 1</code>
</right>
<right>
<ID>b7008be2-416e-486d-b48e-752cbde68200</ID>
<code>sample string 1</code>
</right>
</rights>
<site_id>a9857469-6bbc-436b-8c8c-5333fe4a404d</site_id>
<zone_id>067ff7e9-a25e-4e4c-9f4d-ab558db878a0</zone_id>
</pc>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"4ca1bbad-602c-41da-800b-3dd292c7b1b0"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">4ca1bbad-602c-41da-800b-3dd292c7b1b0</guid>